package structs

// swagger:model GetUserResponse
type GetUserResponse struct {
	Id                string
	FirstName         string
	LastName          string
	ProfilePictureUrl string
}

// swagger:model UserLoginRequest
type UserLoginRequest struct {
	Email    string
	Password string
}

// swagger:model UserLoginResponse
type UserLoginResponse struct {
	Session string
}

// swagger:model TeamMember
type TeamMember struct {
	Id                string
	FirstName         string
	LastName          string
	Email             string
	RoleId            string
	ProfilePictureUrl string
	Online            bool `gorm:"-"`
}

// swagger:model CreateTeamMemberRequest
type CreateTeamMemberRequest struct {
	FirstName string
	LastName  string
	Email     string
	RoleId    string
	Password  string
}

// swagger:model TeamMemberUserIdParam
type TeamMemberUserIdParam struct {
	MemberId string
}

// swagger:model UpdateTeamMemberRoleRequest
type UpdateTeamMemberRoleRequest struct {
	RoleId string
}

// swagger:model CreateOrganizationResponse
type GetUserProfileResponse struct {
	ProfilePictureUrl string
	FirstName         string
	LastName          string
	Email             string
	RoleId            string
}

type UserIdParam struct {
	UserId string
}
